Subject: TeX-command-sequence: Wrong type argument: number-or-marker-p, "Abort trap: 6"

From: Kid Inqui <[email-masked]>
Date: Mon, 17 Feb 2020 13:12:23 +0200

Hi there,

I run MikTex on an OSX 10.15.3 machine.
For editing latex I use Aquamacs with AUCTeX.
For compiling latex I have a MiKTeX installation.

When I try with compile from AUCTeX, I get the error:

TeX-command-sequence: Wrong type argument: number-or-marker-p, "Abort trap: 6”

I tried to change some AUCTeX settings to make it work.
One thing I did was set the “Tex Command” to `latexmk -pdf` (which is what I normally use to compile from the terminal).
This made the error a bit more informative: (the file name is `notes.tex`)

Running `LaTeX' on `notes' with ``pdflatex  -file-line-error  --synctex=1 -interaction=nonstopmode notes.tex''
ERROR: collate_byname<char>::collate_byname failed to construct for 

Sorry, but pdflatex did not succeed.
libc++abi.dylib: terminating with uncaught exception of type MiKTeX::Core::MiKTeXException: MiKTeX encountered an internal error.

TeX Output abort trap: 6 at Mon Feb 17 13:02:53

I tried running the same command `pdflatex  -file-line-error  --synctex=1 -interaction=nonstopmode notes.tex` from the terminal and it worked!

Thanks in advance for any help you can offer!